Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoFieldConverter Class Reference
[Engine classes]

The SoFieldConverter class is the abstract base class for field converters. More...

`#include <Inventor/engines/SoFieldConverter.h>`

Inheritance diagram for SoFieldConverter:

List of all members.

## Public Methods
virtual SoField * | getInput (SoType type)=0
virtual SoEngineOutput * | getOutput (SoType type)=0
virtual SoField * | getConnectedInput (void)
int | getForwardConnections (SoFieldList &l) const
## Static Public Methods
void | initClass (void)
void | initClasses (void)
## Protected Methods
| SoFieldConverter (void)
virtual | ~SoFieldConverter ()

## Detailed Description

The SoFieldConverter class is the abstract base class for field converters.

When fields of different types are attempted connected, the Coin library tries to find a field converter class which can be inserted between them, acting as a filter converting values from the master field to values matching the type of the slave field.

If a value type conversion is possible (like between an SoSFFloat field and an SoSFInt32 field, for instance, where we could do a simple typecast for converting the value of one to the other), an SoFieldConverter derived object is inserted.

This class is the abstract base superclass which all such field converters needs to inherit.

Coin comes with one built-in field converter class which takes care of all possible field-to-field conversions we know about. This means applications programmers should seldom need to care about this class, it will probably only be useful if you expand the Coin library with your own field type classes. (Doing so is considered advanced use of the library.)

See also:
  SoDB::addConverter()

## Constructor & Destructor Documentation

SoFieldConverter::SoFieldConverter | ( | void |  | ) | `[protected]`

| Default constructor.

SoFieldConverter::~SoFieldConverter | ( |  | ) | `[protected, virtual]`

| Default destructor.

## Member Function Documentation

void SoFieldConverter::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoEngine.

void SoFieldConverter::initClasses | ( | void |  | ) | `[static]`

| Initializes all engines. Automatically called from SoEngine::initClass() upon initialization of Coin. Reimplemented from SoEngine.

SoField * SoFieldConverter::getInput | ( | SoType | type | ) | `[pure virtual]`

| Returns input field for the converter engine. Must be overridden in non-abstract converter engine classes.

SoEngineOutput * SoFieldConverter::getOutput | ( | SoType | type | ) | `[pure virtual]`

| Returns output for the converter engine. Must be overridden in non-abstract converter engine classes.

SoField * SoFieldConverter::getConnectedInput | ( | void |  | ) | `[virtual]`

| This method is obsoleted in Coin. It should probably have been private in OIV.

int SoFieldConverter::getForwardConnections | ( | SoFieldList & | l | ) | const

| Returns fields which are connected as slaves of the engine output.

The documentation for this class was generated from the following files:

- SoFieldConverter.h
- SoFieldConverter.cpp